package com.gingersoft.gsa.cloud.common.core.order.order;


import lombok.Data;

/**
 * @作者: bin
 * @創建時間: 2020-10-14
 * @更新時間: 2020-10-14
 * @描述: 外賣訂單
 */
@Data
public class TakeawayOrder extends BaseOrder {

    private static TakeawayOrder takeawayOrder;

    public static TakeawayOrder getInstance() {
        if (takeawayOrder == null) {
            takeawayOrder = new TakeawayOrder();
        }
        return takeawayOrder;
    }

    private TakeawayOrder() {
        super();
    }


    @Override
    public void initialization() {
        super.initialization();
    }
}
